int AYkirmizi = 1;
int AYsari = 2;
int AYyesil = 3;
int AYYkirmizi = 4;
int AYYyesil = 5;

void setup() {
  pinMode(1, OUTPUT);  // Anayol kırmızı ışık
  pinMode(2, OUTPUT);  // Anayol sarı ışık
  pinMode(3, OUTPUT);  // Anayol yeşil ışık
  pinMode(4, OUTPUT);  // Yaya yesil ışık
  pinMode(5, OUTPUT);  //Yaya kırmızı ışık

}
void loop() {
  digitalWrite(AYyesil, HIGH);
  digitalWrite(AYsari, LOW);
  digitalWrite(AYkirmizi, LOW);
  digitalWrite(AYYkirmizi, HIGH);
  digitalWrite(AYYyesil, LOW);
  delay(5000);    //30 sn bu şekilde bekle
  digitalWrite(AYyesil, LOW);
  digitalWrite(AYsari, HIGH);
  digitalWrite(AYkirmizi, LOW);
  digitalWrite(AYYkirmizi, HIGH);
  digitalWrite(AYYyesil, LOW);
  delay(2000);    //30 sn bu şekilde bekle
  digitalWrite(AYyesil, LOW);
  digitalWrite(AYsari, LOW);
  digitalWrite(AYkirmizi, HIGH);
  digitalWrite(AYYkirmizi, HIGH);
  digitalWrite(AYYyesil, LOW);
  delay(2000);    //30 sn bu şekilde bekle
   digitalWrite(AYyesil, LOW);
  digitalWrite(AYsari, LOW);
  digitalWrite(AYkirmizi, HIGH);
  digitalWrite(AYYkirmizi, LOW);
  digitalWrite(AYYyesil, HIGH);
  delay(5000);    //30 sn bu şekilde bekle
  digitalWrite(AYyesil, LOW);
  digitalWrite(AYsari, LOW);
  digitalWrite(AYkirmizi, HIGH);
  digitalWrite(AYYkirmizi, HIGH);
  digitalWrite(AYYyesil, LOW);
  delay(2000);    //30 sn bu şekilde bekle

}
